/***********************************
 __ __|  \    _ )  |     __|   __| 
    |   _ \   _ \  |     _|  \__ \ 
   _| _/  _\ ___/ ____| ___| ____/ 

Tables & pseudo-tables default styling
***********************************/

/* Global Styling mixins */
$headerBackground: #CCC;
$headerWidth: 30%;

table,
.table{
	position: relative;
	display: block;
	width: auto;
	overflow: hidden;
	
	border-collapse: separate;
	

	@include bp(tablet){
		display: table;
		table-layout: fixed;
	}

}

tbody{
	
	
	display: block;
	width: 100%;
	white-space: nowrap;
	padding-left: $headerWidth;
	overflow-x: scroll;

	@include bp(tablet){
		display: table-row-group;
	}
}

th,
.table-head{
	
	display: block;

	@include bp(tablet){
		font-weight: 700;
		text-align: left;
		text-transform: uppercase;
		background-color: $headerBackground;
	}

}

.table-header{
	/*display: none !important;*/
	position: absolute;
	left: 0;
	width: $headerWidth;
	height: 100%;
	background-color: $headerBackground;
	z-index: 10;
}

tr,
.table-row{
	
	display: inline-block;
	/*width: 100%;*/
	/*float: left;*/

	@include bp(tablet){
		display: table-row;
		float: none;
	}

}

td,
.table-cell{
	
	display: block;
	position: relative;
	border-top: solid 1px red;

	@include bp(tablet){
		display: table-cell;
		padding: 0;
	}
}


/** Pseudo-tables responsive layout **/
tbody::-webkit-scrollbar { 
    display: none; 
}

tbody browser{
	margin-bottom: -14px;
}